{% extends "base.html" %}{% load i18n static %}
{% block title %}Slideshow{% endblock %}
{% block standardcontent %}
<div class="container-fluid px-0">
    <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
        <div class="carousel-inner bg-info" role="listbox">
            <div class="carousel-item active">
                <div class="d-flex align-items-center justify-content-center min-vh-100">
                    <img style="max-width:60%; max-height:500px;" src="{% static 'img/logo.png' %}">
                </div>
            </div>
            {% for s in sensors.all %}
            <div class="carousel-item">
                <div class="d-flex align-items-center justify-content-center min-vh-100">
                    <h1 class="display-1">{% blocktrans %}{{s.name}}{% endblocktrans %}: {{ s.last_value }} {{ s.unit }}</h1>
                </div>
            </div>
            {% endfor %}
            <!--<div class="carousel-item">
                <div class="d-flex align-items-center justify-content-center min-vh-100">
                    <h1 class="display-1">TWO</h1>
                </div>
            </div>
            <div class="carousel-item">
                <div class="d-flex align-items-center justify-content-center min-vh-100">
                    <h1 class="display-1">THREE</h1>
                </div>
            </div>-->
            <div class="carousel-item" id="carousel-last">
                <div class="d-flex align-items-center justify-content-center min-vh-100">
                    <h1 class="display-1">LAST</h1>
                </div>
            </div>
        </div>
    </div>
</div>


<script type="text/javascript">
  jQuery(function($) {

    var _oldShow = $.fn.show;

    $.fn.show = function(speed, oldCallback) {
      return $(this).each(function() {
        var obj         = $(this),
            newCallback = function() {
              if ($.isFunction(oldCallback)) {
                oldCallback.apply(obj);
              }
              obj.trigger('afterShow');
            };

        // you can trigger a before show if you want
        obj.trigger('beforeShow');

        // now use the old function to show the element passing the new callback
        _oldShow.apply(obj, [speed, newCallback]);
      });
    }
  });

  $(document).ready(function() {
    $('#carouselExampleControls').carousel({
      interval: 5,
      pause: false,

    }).on("slid.bs.carousel", function() {
      console.log("carousel event");
      if ($("#carouselExampleControls").find('.carousel-item').filter('.active').attr("id") == "carousel-last") {
        location.reload();
      }
    });
  });
</script>

{% endblock %}
